Get mention suggestions
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/assistant/mentions/suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/mentions/suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/mentions/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suggestions": [
{
"id": "7f3a9c2b1e",
"type": "agent",
"label": "My Assistant",
"pictureUrl": "https://example.com/avatar.png",
"description": "A helpful AI assistant",
"userFavorite": true
}
]
}Mentions
Get mention suggestions
Get suggestions for mentions (agents and users) based on a query string.
GET
/
api
/
v1
/
w
/
{wId}
/
assistant
/
mentions
/
suggestions
Get mention suggestions
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Query Parameters
Search query string to filter suggestions
Array of mention types to include. Can be "agents", "users", or both. If not provided, defaults to agents and users.
Available options:
agents, users Whether to include the current user in the suggestions.
Response
List of mention suggestions
Show child attributes
Show child attributes
⌘I